Subject: Re: [PATCH] ppc: Export empty_zero_page

From: Theodore Tso <[email-masked]>
Date: Tue, 25 Mar 2008 18:49:23 -0400

On Wed, Mar 26, 2008 at 09:26:57AM +1100, Stephen Rothwell wrote:
> However, have you made any progress on Christoph's suggestion:
>
> "The real fix is that ext4 shouldn't be using ZERO_PAGE().  Please use
> the same zeroing helpers all the other filesystems and drivers use."

When Aneesh asked for clarification about Christoph's suggestion, he
got the following response (see attached).

						- Ted

Subject: Re: ZERO_PAGE(0) usage in ext4
From: Christoph Hellwig <[email-masked]>
To: "Aneesh Kumar K.V" <[email-masked]>
Cc: Christoph Hellwig <[email-masked]>
Date: Thu, 20 Mar 2008 04:35:12 -0400

On Mon, Mar 17, 2008 at 11:22:30PM +0530, Aneesh Kumar K.V wrote:
> Hi Christoph,
> 
> I have changes pending for ext4 which uses ZERO_PAGE(0) to zero out
> file system blocks.
> 
> http://repo.or.cz/w/ext4-patch-queue.git?a=blob;f=ext4-fallocate-full-fs-ENOSPC-handling.patch;h=e14ec2a53f008c3f4b80544a897165de4bb5d360;hb=HEAD
> 
> The changes are needed to make sure we allow writing to prealloc space
> even when there are no space left in the file system to insert new
> extent details. To use ZERO_PAGE in ext4 i would need patches to export
> some of the variables. I found that you answered Ted's patch at
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2008-March/052956.html
> 
> I have a patch that does the same thing for multiple arch. Can you help
> me understand what you meant by zeroing helpers ?

Ok, you're actually sending down the page and not copying from it.
This is probab;y okay.